Loading...
Searching...
No Matches
Dune::hash< T > Struct Template Reference

Functor for hashing objects of type T. More...

`#include <dune/common/hash.hh>`

## Public Member Functions

std::size_t | operator() (const T &t) const
| Calculates the hash of t.

## Detailed Description

template<typename T>
struct Dune::hash< T >

Functor for hashing objects of type T.

The interface outlined below is compatible with std::hash, std::tr1::hash and boost::hash, so it is possible to use Dune::hash in associative containers from those libraries.

## Member Function Documentation

## operator()()

template<typename T>

std::size_t Dune::hash< T >::operator() | ( | const T & | t | ) | const

inline

Calculates the hash of t.

The documentation for this struct was generated from the following file:

- hash.hh